.p-export-unit-test__container {
  padding-bottom: 2.4rem !important;
}
.unit-test-export-zip-content {
  padding-top: 2.4rem;
  font-size: 1.4rem;
  .__box-export {
    padding: 2.4rem 2.4rem 0 2.4rem;
    background: #ffffff;
    box-shadow: rgb(115 132 152 / 20%) 0px 0.1rem 0.4rem;
    border-radius: 1.2rem;
    margin-bottom: 3rem;
    .error-message {
      display: flex;
      visibility: hidden;
      padding: 1rem 0;
      color: #af4d53;
      font-size: 1.6rem;
      line-height: 1.6rem;
      &.--open {
        visibility: visible;
        span {
          padding-left: 5px;
          font-size: 1.2rem;
          font-weight: unset;
        }
      }
    }
    .__title {
      color: #354453;
      font-weight: 500;
    }
    .__content {
      padding: 2.4rem;
      display: flex;
      justify-content: center;
      align-items: flex-start;
      .__form-input {
        width: calc(90% - 22rem);
        margin-right: 2rem;

        &.error {
          .a-input-with-label {
            input {
              border: 0.1rem solid rgba($color: #af4d53, $alpha: 1);
              &:focus{
                box-shadow: 0 0 0 3px rgba($color: #af4d53, $alpha: 0.3);
              }
            }
          }
        }
        .a-input-with-label {
          input {
            border: 0.1rem solid rgba($color: #6868ac, $alpha: 1);
            &:focus{
              box-shadow: 0 0 0 3px rgba($color: #6868ac, $alpha: 0.3);
            }
          }
          label {
            background: #fff !important;
            // color: #dadada;
          }
        }
      }
      .__export-btn {
        height: 4rem;
        display: flex;
        align-items: center;
        box-shadow: none;
        color: rgb(255, 255, 255);
        font-size: 1.4rem;
        font-weight: 500;
        padding: 0px 1.6rem;
        width: fit-content;
        background: #6868ac;
        border-radius: 1rem;
        margin-left: 1rem;
        &.--mix-question{
          width: fit-content;
          margin-left: 0;;
        }
        img {
          height: 1.3rem;
          //width: 1.6rem;
          object-fit: contain;
          object-position: center center;
          filter: brightness(5);
          // margin: 0px 0.8rem 0px 0px;
        }
        span{
          margin-left: 0.8rem;
        }
        &.__on-processing{
          cursor: wait;
          img{
            height: 1.6rem;
            width: 1.6rem;
            animation: spin 0.5s linear infinite;
          }
          @keyframes spin{
              100%{
                  transform: rotate(360deg);
              }
          }
        }
      }
    }
  }
  .__box-histories {
    .__title {
      color: #354453;
      font-weight: 500;
    }
    .__content-table {
      position: relative;
      z-index: 1;

      margin: 1.6rem 0 0 0;
      padding: 0 1.6rem;

      flex: 1;
      overflow: auto;

      background: #fff;
      border-radius: 1.2rem;
      box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

      white-space: nowrap;

      table {
        thead {
          tr {
            position: relative;

            text-align: center;

            th {
              padding: 0.8rem !important;
              width: calc(25% - 1rem);
              &:nth-child(1) {
                max-width: 4.5rem;
                min-width: 4.5rem;
              }
            }
          }
        }

        tbody {
          tr {
            position: relative;

            &:hover {
              .__action-group {
                opacity: 1;

                pointer-events: all;
              }
            }

            td {
              position: relative;
              padding: 0.8rem !important;
              width: calc(25% - 1rem);
              &:nth-child(1) {
                max-width: 4.5rem;
                min-width: 4.5rem;
              }
              &:nth-child(5) {
                .__download-btn {
                  height: 4rem;
                  display: flex;
                  align-items: center;
                  box-shadow: none;
                  color: rgb(255, 255, 255);
                  font-size: 1.4rem;
                  font-weight: 500;
                  padding: 0px 1.6rem;
                  background: #5cb9d8;
                  border-radius: 1rem;
                  img {
                    width: 1.6rem;
                    height: 1.6rem;
                    object-fit: contain;
                    object-position: center center;
                    filter: brightness(5);
                    margin: 0px 0.8rem 0px 0px;
                  }
                }
              }
            }
          }
          .tr_no-data {
            td {
              width: 100%;
              max-width: 100% !important;
              .no-data {
                max-height: 12rem;
                display: flex;
                flex-direction: column;
                img {
                  height: 12rem;
                  max-height: 100%;
                  margin-bottom: 1rem;
                }
              }
            }
          }
        }
      }
    }
  }
}
